Ad Account Publisher Block Lists
Updated: Oct 1, 2024
Copy for LLM
Reading
returns blocklists for the account
Example
GET /v25.0/{ad-account-id}/publisher_block_lists HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
This endpoint doesn't have any parameters.
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}
data
A list of PublisherBlockList nodes.
The following fields will be added to each node that is returned:
| Field | Description |
|---|---|
is_auto_blocking_onbool |
Auto blocking field for this blocklist.
default |
paging
For more details about pagination, see the Graph API guide.
Error Codes
| Error Code | Description |
|---|---|
200 | Permissions error |
190 | Invalid OAuth 2.0 Access Token |
100 | Invalid parameter |
Creating
/act_{ad_account_id}/publisher_block_lists
You can make a POST request to publisher_block_lists edge from the following paths:
When posting to this edge, a PublisherBlockList will be created.
Parameters
| Parameter | Description |
|---|---|
namestring |
Name of the block list
|
Return Type
This endpoint supports read-after-write and will read the node represented by id in the return type.
Struct {
id: numeric string,
}
Error Codes
| Error Code | Description |
|---|---|
200 | Permissions error |
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.